Page MenuHomePhabricator

Workflow for reviewing your changes (diff) to type in the edit summary is annoying
Closed, ResolvedPublic

Description

The workflow for reviewing your changes (diff) to type in the edit summary is annoying.

Scenario:

  1. Make changes to the page
  2. Click "Publish changes…" to save them
  3. Faced with the "Edit summary" field, click "Review my changes" to remind yourself what you did
  4. Click the back button in the top-left corner to go back to editing the edit summary

See, I pulled a fast one on ya! The back button is not actually in the top-left corner like it always is, it's instead in the bottom-left corner! The button in the top-left corner that you just clicked will close the entire dialog. (You scoff at yourself and look for the "Publish changes…" button again.)

Replacing the verbose labels with close/back icons (T225021) would help a little. But I think we should actually just replace the current top-left button with the bottom-left button, so that clicking there goes back. To close the dialog entirely, you just click twice.

Alternatively, we could keep the edit summary field visible while reviewing changes (T148297), but that's a bit more involved.

Details

Related Gerrit Patches:

Event Timeline

matmarex created this task.Jul 2 2019, 12:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2019, 12:30 AM

Change 520004 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Use close flag for close actions

https://gerrit.wikimedia.org/r/520004

JTannerWMF added subscribers: iamjessklein, JTannerWMF.

@iamjessklein this patch is ready it just needs design review.

For easy comparison:

DesktopMobile
Current
Proposed

In both cases, the button in top-left corner is changed from a "close" button to a "back" button, and the additional "back" button in bottom-left is removed.

Clearly much better on mobile :)

+1 (sorry for the delay) this is an obviously better proposal. 🛳 it.

Change 520004 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Use close flag for close actions, move 'back' button

https://gerrit.wikimedia.org/r/520004

matmarex moved this task from Inbox to Low Priority on the Editing QA board.Jul 15 2019, 11:32 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Sep 6 2019, 10:14 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 20 2019, 11:03 PM
ppelberg claimed this task.